clang 10.0.0git

Classes | Public Attributes | List of all members
clang::VariablePattern::SuspiciousClonePair Struct Reference

Describes two clones that reference their variables in a different pattern which could indicate a programming error. More...

`#include "clang/Analysis/CloneDetection.h"`

Collaboration diagram for clang::VariablePattern::SuspiciousClonePair:
[legend]

## Classes
struct | SuspiciousCloneInfo
| Utility class holding the relevant information about a single clone in this pair. More...

## Public Attributes
SuspiciousCloneInfo | FirstCloneInfo
| The first clone in the pair which always has a suggested variable. More...
SuspiciousCloneInfo | SecondCloneInfo
| This other clone in the pair which can have a suggested variable. More...

## Detailed Description

Describes two clones that reference their variables in a different pattern which could indicate a programming error.

Definition at line 388 of file CloneDetection.h.

## Member Data Documentation

## ◆ FirstCloneInfo

SuspiciousCloneInfo clang::VariablePattern::SuspiciousClonePair::FirstCloneInfo

The first clone in the pair which always has a suggested variable.

Definition at line 406 of file CloneDetection.h.

Referenced by clang::VariablePattern::countPatternDifferences().

## ◆ SecondCloneInfo

SuspiciousCloneInfo clang::VariablePattern::SuspiciousClonePair::SecondCloneInfo

This other clone in the pair which can have a suggested variable.

Definition at line 408 of file CloneDetection.h.

Referenced by clang::VariablePattern::countPatternDifferences().

The documentation for this struct was generated from the following file:

- include/clang/Analysis/CloneDetection.h